unit NoSync.FormUpAndDown;

interface

uses
  Winapi.Windows, Winapi.Messages,
  System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ComCtrls, Vcl.ExtCtrls;

type
  TFrmUpAndDown = class(TForm)
    edLoops: TEdit;
    Label1: TLabel;
    btnStartThreads: TButton;
    lbOutput: TListBox;
    tmrDisplay: TTimer;
    Button1: TButton;
    Label2: TLabel;
    lblGlobalCounter: TLabel;
    btnClearListbox: TButton;
    procedure btnStartThreadsClick(Sender: TObject);
    procedure tmrDisplayTimer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure btnClearListboxClick(Sender: TObject);
  private
  public
  end;

var
  FrmUpAndDown: TFrmUpAndDown;

implementation

uses
   NoSync.UpAndDownThread;

{$R *.DFM}


procedure TFrmUpAndDown.btnStartThreadsClick(Sender: TObject);
var
  loopCount: NativeInt;
begin
  loopCount := StrToInt(edLoops.Text);
  TUpAndDownThread.Create(loopCount, true, lbOutput.Items);   // zwei Threads fr hoch und runter
  TUpAndDownThread.Create(loopCount, false,lbOutput.Items);
end;

procedure TFrmUpAndDown.tmrDisplayTimer(Sender: TObject);
begin
  lblGlobalCounter.Caption := IntToStr(GlobalCounter);
end;

procedure TFrmUpAndDown.Button1Click(Sender: TObject);
begin
  GlobalCounter := 0;
end;

procedure TFrmUpAndDown.btnClearListboxClick(Sender: TObject);
begin
  lbOutput.Clear;
end;

end.
